package com.mortals.xhx.common.pdu.skin;

import java.util.Date;
import java.util.List;

import com.mortals.framework.model.BaseEntityLong;

/**
 * 系统基础皮肤Pdu对象
 *
 * @author zxfei
 * @date 2022-08-01
 */

public class SkinBasePdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 所属种类,来源种类
     */
    private Long categoryId;
    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品编码
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;

    /**
     * css模板合成后文件地址
     */
    private String cssFilePath;
    /**
     * 排序编号
     */
    private Integer sortNum;
    /**
     * 产品皮肤名称，唯一且不为空
     */
    private String name;
    /**
     * 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     */
    private String imageResolution;

    private String imageResolutionValue;
    /**
     * 预览图片
     */
    private String previewImagePath;

    /**
     * 开始 序号，主键，自增长
     */
    private Long idStart;

    /**
     * 结束 序号，主键，自增长
     */
    private Long idEnd;

    /**
     * 增加 序号，主键，自增长
     */
    private Long idIncrement;

    /**
     * 序号，主键，自增长列表
     */
    private List<Long> idList;

    /**
     * 开始 所属种类,来源种类
     */
    private Long categoryIdStart;

    /**
     * 结束 所属种类,来源种类
     */
    private Long categoryIdEnd;

    /**
     * 增加 所属种类,来源种类
     */
    private Long categoryIdIncrement;

    /**
     * 所属种类,来源种类列表
     */
    private List<Long> categoryIdList;

    /**
     * 开始 产品id
     */
    private Long productIdStart;

    /**
     * 结束 产品id
     */
    private Long productIdEnd;

    /**
     * 增加 产品id
     */
    private Long productIdIncrement;

    /**
     * 产品id列表
     */
    private List<Long> productIdList;

    /**
     * 产品名称
     */
    private List<String> productNameList;

    /**
     * css模板合成后文件地址
     */
    private List<String> cssFilePathList;

    /**
     * 开始 排序编号
     */
    private Integer sortNumStart;

    /**
     * 结束 排序编号
     */
    private Integer sortNumEnd;

    /**
     * 增加 排序编号
     */
    private Integer sortNumIncrement;

    /**
     * 排序编号列表
     */
    private List<Integer> sortNumList;

    /**
     * 开始 创建时间
     */
    private String createTimeStart;

    /**
     * 结束 创建时间
     */
    private String createTimeEnd;

    /**
     * 开始 创建用户
     */
    private Long createUserIdStart;

    /**
     * 结束 创建用户
     */
    private Long createUserIdEnd;

    /**
     * 增加 创建用户
     */
    private Long createUserIdIncrement;

    /**
     * 创建用户列表
     */
    private List<Long> createUserIdList;

    /**
     * 开始 修改时间
     */
    private String updateTimeStart;

    /**
     * 结束 修改时间
     */
    private String updateTimeEnd;

    /**
     * 产品皮肤名称，唯一且不为空
     */
    private List<String> nameList;

    /**
     * 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     */
    private List<String> imageResolutionList;

    /**
     * 预览图片
     */
    private List<String> previewImagePathList;


    /**
     * OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     */
    private List<SkinBasePdu> orConditionList;

    /**
     * AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     */
    private List<SkinBasePdu> andConditionList;

    public SkinBasePdu() {
    }


    public String getImageResolutionValue() {
        return imageResolutionValue;
    }

    public void setImageResolutionValue(String imageResolutionValue) {
        this.imageResolutionValue = imageResolutionValue;
    }

    /**
     * 获取 所属种类,来源种类
     *
     * @return Long
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置 所属种类,来源种类
     *
     * @param categoryId
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * 获取 产品id
     *
     * @return Long
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置 产品id
     *
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 获取 产品名称
     *
     * @return String
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置 产品名称
     *
     * @param productName
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * 获取 css模板合成后文件地址
     *
     * @return String
     */
    public String getCssFilePath() {
        return cssFilePath;
    }

    /**
     * 设置 css模板合成后文件地址
     *
     * @param cssFilePath
     */
    public void setCssFilePath(String cssFilePath) {
        this.cssFilePath = cssFilePath;
    }

    /**
     * 获取 排序编号
     *
     * @return Integer
     */
    public Integer getSortNum() {
        return sortNum;
    }

    /**
     * 设置 排序编号
     *
     * @param sortNum
     */
    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    /**
     * 获取 产品皮肤名称，唯一且不为空
     *
     * @return String
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 产品皮肤名称，唯一且不为空
     *
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     *
     * @return String
     */
    public String getImageResolution() {
        return imageResolution;
    }

    /**
     * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     *
     * @param imageResolution
     */
    public void setImageResolution(String imageResolution) {
        this.imageResolution = imageResolution;
    }

    /**
     * 获取 预览图片
     *
     * @return String
     */
    public String getPreviewImagePath() {
        return previewImagePath;
    }

    /**
     * 设置 预览图片
     *
     * @param previewImagePath
     */
    public void setPreviewImagePath(String previewImagePath) {
        this.previewImagePath = previewImagePath;
    }

    /**
     * 获取 开始 序号，主键，自增长
     *
     * @return idStart
     */
    public Long getIdStart() {
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     *
     * @param idStart
     */
    public void setIdStart(Long idStart) {
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     *
     * @return $idEnd
     */
    public Long getIdEnd() {
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     *
     * @param idEnd
     */
    public void setIdEnd(Long idEnd) {
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     *
     * @return idIncrement
     */
    public Long getIdIncrement() {
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     *
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement) {
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     *
     * @return idList
     */
    public List<Long> getIdList() {
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     *
     * @param idList
     */
    public void setIdList(List<Long> idList) {
        this.idList = idList;
    }

    /**
     * 获取 开始 所属种类,来源种类
     *
     * @return categoryIdStart
     */
    public Long getCategoryIdStart() {
        return this.categoryIdStart;
    }

    /**
     * 设置 开始 所属种类,来源种类
     *
     * @param categoryIdStart
     */
    public void setCategoryIdStart(Long categoryIdStart) {
        this.categoryIdStart = categoryIdStart;
    }

    /**
     * 获取 结束 所属种类,来源种类
     *
     * @return $categoryIdEnd
     */
    public Long getCategoryIdEnd() {
        return this.categoryIdEnd;
    }

    /**
     * 设置 结束 所属种类,来源种类
     *
     * @param categoryIdEnd
     */
    public void setCategoryIdEnd(Long categoryIdEnd) {
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
     * 获取 增加 所属种类,来源种类
     *
     * @return categoryIdIncrement
     */
    public Long getCategoryIdIncrement() {
        return this.categoryIdIncrement;
    }

    /**
     * 设置 增加 所属种类,来源种类
     *
     * @param categoryIdIncrement
     */
    public void setCategoryIdIncrement(Long categoryIdIncrement) {
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
     * 获取 所属种类,来源种类
     *
     * @return categoryIdList
     */
    public List<Long> getCategoryIdList() {
        return this.categoryIdList;
    }

    /**
     * 设置 所属种类,来源种类
     *
     * @param categoryIdList
     */
    public void setCategoryIdList(List<Long> categoryIdList) {
        this.categoryIdList = categoryIdList;
    }

    /**
     * 获取 开始 产品id
     *
     * @return productIdStart
     */
    public Long getProductIdStart() {
        return this.productIdStart;
    }

    /**
     * 设置 开始 产品id
     *
     * @param productIdStart
     */
    public void setProductIdStart(Long productIdStart) {
        this.productIdStart = productIdStart;
    }

    /**
     * 获取 结束 产品id
     *
     * @return $productIdEnd
     */
    public Long getProductIdEnd() {
        return this.productIdEnd;
    }

    /**
     * 设置 结束 产品id
     *
     * @param productIdEnd
     */
    public void setProductIdEnd(Long productIdEnd) {
        this.productIdEnd = productIdEnd;
    }

    /**
     * 获取 增加 产品id
     *
     * @return productIdIncrement
     */
    public Long getProductIdIncrement() {
        return this.productIdIncrement;
    }

    /**
     * 设置 增加 产品id
     *
     * @param productIdIncrement
     */
    public void setProductIdIncrement(Long productIdIncrement) {
        this.productIdIncrement = productIdIncrement;
    }

    /**
     * 获取 产品id
     *
     * @return productIdList
     */
    public List<Long> getProductIdList() {
        return this.productIdList;
    }

    /**
     * 设置 产品id
     *
     * @param productIdList
     */
    public void setProductIdList(List<Long> productIdList) {
        this.productIdList = productIdList;
    }

    /**
     * 获取 产品名称
     *
     * @return productNameList
     */
    public List<String> getProductNameList() {
        return this.productNameList;
    }

    /**
     * 设置 产品名称
     *
     * @param productNameList
     */
    public void setProductNameList(List<String> productNameList) {
        this.productNameList = productNameList;
    }

    /**
     * 获取 css模板合成后文件地址
     *
     * @return cssFilePathList
     */
    public List<String> getCssFilePathList() {
        return this.cssFilePathList;
    }

    /**
     * 设置 css模板合成后文件地址
     *
     * @param cssFilePathList
     */
    public void setCssFilePathList(List<String> cssFilePathList) {
        this.cssFilePathList = cssFilePathList;
    }

    /**
     * 获取 开始 排序编号
     *
     * @return sortNumStart
     */
    public Integer getSortNumStart() {
        return this.sortNumStart;
    }

    /**
     * 设置 开始 排序编号
     *
     * @param sortNumStart
     */
    public void setSortNumStart(Integer sortNumStart) {
        this.sortNumStart = sortNumStart;
    }

    /**
     * 获取 结束 排序编号
     *
     * @return $sortNumEnd
     */
    public Integer getSortNumEnd() {
        return this.sortNumEnd;
    }

    /**
     * 设置 结束 排序编号
     *
     * @param sortNumEnd
     */
    public void setSortNumEnd(Integer sortNumEnd) {
        this.sortNumEnd = sortNumEnd;
    }

    /**
     * 获取 增加 排序编号
     *
     * @return sortNumIncrement
     */
    public Integer getSortNumIncrement() {
        return this.sortNumIncrement;
    }

    /**
     * 设置 增加 排序编号
     *
     * @param sortNumIncrement
     */
    public void setSortNumIncrement(Integer sortNumIncrement) {
        this.sortNumIncrement = sortNumIncrement;
    }

    /**
     * 获取 排序编号
     *
     * @return sortNumList
     */
    public List<Integer> getSortNumList() {
        return this.sortNumList;
    }

    /**
     * 设置 排序编号
     *
     * @param sortNumList
     */
    public void setSortNumList(List<Integer> sortNumList) {
        this.sortNumList = sortNumList;
    }

    /**
     * 获取 开始 创建时间
     *
     * @return createTimeStart
     */
    public String getCreateTimeStart() {
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     *
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     *
     * @return createTimeEnd
     */
    public String getCreateTimeEnd() {
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     *
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     *
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart() {
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     *
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart) {
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     *
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd() {
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     *
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd) {
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     *
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement() {
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     *
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement) {
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     *
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList() {
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     *
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList) {
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     *
     * @return updateTimeStart
     */
    public String getUpdateTimeStart() {
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     *
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart) {
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     *
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd() {
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     *
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd) {
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 产品皮肤名称，唯一且不为空
     *
     * @return nameList
     */
    public List<String> getNameList() {
        return this.nameList;
    }

    /**
     * 设置 产品皮肤名称，唯一且不为空
     *
     * @param nameList
     */
    public void setNameList(List<String> nameList) {
        this.nameList = nameList;
    }

    /**
     * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     *
     * @return imageResolutionList
     */
    public List<String> getImageResolutionList() {
        return this.imageResolutionList;
    }

    /**
     * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     *
     * @param imageResolutionList
     */
    public void setImageResolutionList(List<String> imageResolutionList) {
        this.imageResolutionList = imageResolutionList;
    }

    /**
     * 获取 预览图片
     *
     * @return previewImagePathList
     */
    public List<String> getPreviewImagePathList() {
        return this.previewImagePathList;
    }

    /**
     * 设置 预览图片
     *
     * @param previewImagePathList
     */
    public void setPreviewImagePathList(List<String> previewImagePathList) {
        this.previewImagePathList = previewImagePathList;
    }

    /**
     * 设置  序号，主键，自增长
     *
     * @param id
     */
    public SkinBasePdu id(Long id) {
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     *
     * @param idStart
     */
    public SkinBasePdu idStart(Long idStart) {
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     *
     * @param idEnd
     */
    public SkinBasePdu idEnd(Long idEnd) {
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     *
     * @param idIncrement
     */
    public SkinBasePdu idIncrement(Long idIncrement) {
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     *
     * @param idList
     */
    public SkinBasePdu idList(List<Long> idList) {
        this.idList = idList;
        return this;
    }

    /**
     * 设置  所属种类,来源种类
     *
     * @param categoryId
     */
    public SkinBasePdu categoryId(Long categoryId) {
        setCategoryId(categoryId);
        return this;
    }

    /**
     * 设置 开始 所属种类,来源种类
     *
     * @param categoryIdStart
     */
    public SkinBasePdu categoryIdStart(Long categoryIdStart) {
        this.categoryIdStart = categoryIdStart;
        return this;
    }

    /**
     * 设置 结束 所属种类,来源种类
     *
     * @param categoryIdEnd
     */
    public SkinBasePdu categoryIdEnd(Long categoryIdEnd) {
        this.categoryIdEnd = categoryIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属种类,来源种类
     *
     * @param categoryIdIncrement
     */
    public SkinBasePdu categoryIdIncrement(Long categoryIdIncrement) {
        this.categoryIdIncrement = categoryIdIncrement;
        return this;
    }

    /**
     * 设置 所属种类,来源种类
     *
     * @param categoryIdList
     */
    public SkinBasePdu categoryIdList(List<Long> categoryIdList) {
        this.categoryIdList = categoryIdList;
        return this;
    }

    /**
     * 设置  产品id
     *
     * @param productId
     */
    public SkinBasePdu productId(Long productId) {
        setProductId(productId);
        return this;
    }

    /**
     * 设置 开始 产品id
     *
     * @param productIdStart
     */
    public SkinBasePdu productIdStart(Long productIdStart) {
        this.productIdStart = productIdStart;
        return this;
    }

    /**
     * 设置 结束 产品id
     *
     * @param productIdEnd
     */
    public SkinBasePdu productIdEnd(Long productIdEnd) {
        this.productIdEnd = productIdEnd;
        return this;
    }

    /**
     * 设置 增加 产品id
     *
     * @param productIdIncrement
     */
    public SkinBasePdu productIdIncrement(Long productIdIncrement) {
        this.productIdIncrement = productIdIncrement;
        return this;
    }

    /**
     * 设置 产品id
     *
     * @param productIdList
     */
    public SkinBasePdu productIdList(List<Long> productIdList) {
        this.productIdList = productIdList;
        return this;
    }


    /**
     * 设置 产品名称
     *
     * @param productName
     */
    public SkinBasePdu productName(String productName) {
        setProductName(productName);
        return this;
    }

    /**
     * 设置 产品名称
     *
     * @param productNameList
     */
    public SkinBasePdu productNameList(List<String> productNameList) {
        this.productNameList = productNameList;
        return this;
    }


    /**
     * 设置 css模板合成后文件地址
     *
     * @param cssFilePath
     */
    public SkinBasePdu cssFilePath(String cssFilePath) {
        setCssFilePath(cssFilePath);
        return this;
    }

    /**
     * 设置 css模板合成后文件地址
     *
     * @param cssFilePathList
     */
    public SkinBasePdu cssFilePathList(List<String> cssFilePathList) {
        this.cssFilePathList = cssFilePathList;
        return this;
    }

    /**
     * 设置  排序编号
     *
     * @param sortNum
     */
    public SkinBasePdu sortNum(Integer sortNum) {
        setSortNum(sortNum);
        return this;
    }

    /**
     * 设置 开始 排序编号
     *
     * @param sortNumStart
     */
    public SkinBasePdu sortNumStart(Integer sortNumStart) {
        this.sortNumStart = sortNumStart;
        return this;
    }

    /**
     * 设置 结束 排序编号
     *
     * @param sortNumEnd
     */
    public SkinBasePdu sortNumEnd(Integer sortNumEnd) {
        this.sortNumEnd = sortNumEnd;
        return this;
    }

    /**
     * 设置 增加 排序编号
     *
     * @param sortNumIncrement
     */
    public SkinBasePdu sortNumIncrement(Integer sortNumIncrement) {
        this.sortNumIncrement = sortNumIncrement;
        return this;
    }

    /**
     * 设置 排序编号
     *
     * @param sortNumList
     */
    public SkinBasePdu sortNumList(List<Integer> sortNumList) {
        this.sortNumList = sortNumList;
        return this;
    }


    /**
     * 设置  创建用户
     *
     * @param createUserId
     */
    public SkinBasePdu createUserId(Long createUserId) {
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     *
     * @param createUserIdStart
     */
    public SkinBasePdu createUserIdStart(Long createUserIdStart) {
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     *
     * @param createUserIdEnd
     */
    public SkinBasePdu createUserIdEnd(Long createUserIdEnd) {
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     *
     * @param createUserIdIncrement
     */
    public SkinBasePdu createUserIdIncrement(Long createUserIdIncrement) {
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     *
     * @param createUserIdList
     */
    public SkinBasePdu createUserIdList(List<Long> createUserIdList) {
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 设置 产品皮肤名称，唯一且不为空
     *
     * @param name
     */
    public SkinBasePdu name(String name) {
        setName(name);
        return this;
    }

    /**
     * 设置 产品皮肤名称，唯一且不为空
     *
     * @param nameList
     */
    public SkinBasePdu nameList(List<String> nameList) {
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     *
     * @param imageResolution
     */
    public SkinBasePdu imageResolution(String imageResolution) {
        setImageResolution(imageResolution);
        return this;
    }

    /**
     * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
     *
     * @param imageResolutionList
     */
    public SkinBasePdu imageResolutionList(List<String> imageResolutionList) {
        this.imageResolutionList = imageResolutionList;
        return this;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    /**
     * 设置 预览图片
     *
     * @param previewImagePath
     */
    public SkinBasePdu previewImagePath(String previewImagePath) {
        setPreviewImagePath(previewImagePath);
        return this;
    }

    /**
     * 设置 预览图片
     *
     * @param previewImagePathList
     */
    public SkinBasePdu previewImagePathList(List<String> previewImagePathList) {
        this.previewImagePathList = previewImagePathList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     *
     * @return orConditionList
     */
    public List<SkinBasePdu> getOrConditionList() {
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     *
     * @param orConditionList
     */
    public void setOrConditionList(List<SkinBasePdu> orConditionList) {
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     *
     * @return andConditionList
     */
    public List<SkinBasePdu> getAndConditionList() {
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     *
     * @param andConditionList
     */
    public void setAndConditionList(List<SkinBasePdu> andConditionList) {
        this.andConditionList = andConditionList;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SkinBasePdu) {
            SkinBasePdu tmp = (SkinBasePdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue() {

        this.categoryId = null;

        this.productId = null;

        this.productName = "";

        this.cssFilePath = "";

        this.sortNum = null;

        this.name = "";

        this.imageResolution = "1";

        this.previewImagePath = "";
    }
}